summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAmar Tumballi <amarts@redhat.com>2012-03-13 20:05:44 -0700
committerGerrit Code Review <root@dev.gluster.com>2012-03-13 20:05:44 -0700
commit1dd25696749d4bbf992bdf7378c65443378e9a50 (patch)
tree534437450d69e436d74662ae28826cfee0ca1eac
parent0721c13f9636e128b1b7e68f3a0ead20082650d5 (diff)
parentfc32669722a9e359e752ff0ef668c5f4a248327d (diff)
Merge "BUG:765090-stopping volume while rebalance is in progress"
-rwxr-xr-xdvm/765090/testcase63
1 files changed, 63 insertions, 0 deletions
diff --git a/dvm/765090/testcase b/dvm/765090/testcase
new file mode 100755
index 0000000..6faa645
--- /dev/null
+++ b/dvm/765090/testcase
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+source $cwd/regression_helpers
+
+exit_if_err()
+{
+ if [ $1 -ne 0 ]; then
+ exit 1
+ fi
+}
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick1\
+ 1>/dev/null 2>/dev/null
+
+
+exit_if_err $?
+
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id 2>/dev/null 1>/dev/null
+sleep 5
+
+mount_glusterfs $global_bug_id
+
+for i in {1..100}
+do
+ dd if=/dev/urandom of=$FUSE_MOUNT/$i count=1000 bs=1024 2>/dev/null 1>/dev/null
+done
+
+cd $FUSE_MOUNT
+
+for i in {101..300}
+do
+ mkdir $i
+ cd $i
+ touch $i
+done
+
+cd $FUSE_MOUNT
+
+$GLUSTERFSDIR/gluster volume add-brick $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/brick2\
+ $(hostname):$EXPORT_DIR/$global_bug_id/brick3 1>/dev/null 2>/dev/null
+
+$GLUSTERFSDIR/gluster volume rebalance $global_bug_id start 1>/dev/null 2>/dev/null
+sleep 3
+
+# Now try to stop the volume
+# This operation should fail
+$GLUSTERFSDIR/gluster --mode=script volume stop $global_bug_id\
+ | grep "rebalance session is in progress for the volume '$global_bug_id'"\
+ 1>/dev/null 2>/dev/null
+exit_if_err $?
+
+
+# stop with force
+# This should stop the volume
+$GLUSTERFSDIR/gluster --mode=script volume stop $global_bug_id force \
+ | grep "Stopping volume $global_bug_id has been successful" 1>/dev/null 2>/dev/null
+
+exit_if_err $?
+
+exit 0
+
+